> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblHttpCallGetResponseString

> XblHttpCallGetResponseString

Get the response body string of the HTTP call.

## Syntax

```cpp theme={null}
HRESULT XblHttpCallGetResponseString(  
         XblHttpCallHandle call,  
         const char** responseString  
)  
```

### Parameters

*call*   \_In\_\
Type: [XblHttpCallHandle](https://docs.xbox.com/reference/live/xsapi-c/http_call_c/handles/xblhttpcallhandle.md)

The handle of the HTTP call.

*responseString*   \_Out\_\
Type: char\*\*

The UTF-8 encoded response body string of the HTTP call. The memory for the returned string pointer remains valid for the life of the XblHttpCallHandle object until XblHttpCallCloseHandle() is called on it.

### Return value

Type: HRESULT

Result code for this API operation. Possible values are S\_OK, E\_INVALIDARG, or E\_FAIL.

## Remarks

This can only be called after calling [XblHttpCallPerformAsync](https://docs.xbox.com/reference/live/xsapi-c/http_call_c/functions/xblhttpcallperformasync.md) when the HTTP task is completed. This will only be valid if the responsetype passed to PerformAsync was String.

## Requirements

**Header:** http\_call\_c.h

**Library:** Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

## See also

[http\_call\_c](https://docs.xbox.com/reference/live/xsapi-c/http_call_c/http_call_c_members.md)


## Related topics

- [XblHttpCallPerformAsync](https://docs.xbox.com/reference/live/xsapi-c/http_call_c/functions/xblhttpcallperformasync.md)
- [http_call_c (contents)](https://docs.xbox.com/reference/live/xsapi-c/http_call_c/http_call_c_members.md)
- [Web requests overview](https://docs.xbox.com/build/console-features/networking/web-requests/http-networking.md)
- [XblHttpCallGetHeader](https://docs.xbox.com/reference/live/xsapi-c/http_call_c/functions/xblhttpcallgetheader.md)
- [XblHttpCallGetHeaderAtIndex](https://docs.xbox.com/reference/live/xsapi-c/http_call_c/functions/xblhttpcallgetheaderatindex.md)
